Subject: Re: [bug#34240] [PATCH 1/5] gnu: Add cups-pk-helper.

From: Christopher Baines <[email-masked]>
Date: Tue, 29 Jan 2019 17:03:07 +0000

Ricardo Wurmus <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> * gnu/packages/cups.scm (cups-pk-helper): New variable.
> […]
>> +    (synopsis "PolicyKit helper to configure cups with fine-grained
>> privileges")
>
> Should be “CUPS” instead of “cups”.

Sure, I'll update.

>> +    (description
>> +     "This package provides the org.opensuse.CupsPkHelper.Mechanism DBus
>> +system service which uses @file{cups-pk-helper-mechanism}.  This package
>> +should only be used as part of the Guix cups-pk-helper service.")
>
> I’d wrap the service names in @code{…}.
>
> Why can it not be used without the cups-pk-helper service?  Is it not
> enough to install the package in a location that gets searched by DBus?

I'm not sure if I'm correct here, but it looks like this might be the
case from looking at the DBus stuff in the package.

The DBus service contains "system-services" in the name, which is
different from some other packages DBus configuration.

/gnu/store/...-cups-pk-helper-0.2.6/share/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service

Also, in that file, it says "User=root".

[D-BUS Service]
Name=org.opensuse.CupsPkHelper.Mechanism
Exec=/gnu/store/...-cups-pk-helper-0.2.6/libexec/cups-pk-helper-mechanism
User=root